
#!/usr/bin/env python
# -*- coding: utf-8 -*-

import time
import busio
import board
import adafruit_amg88xx
import matplotlib.pyplot as plt

i2c_bus = busio.I2C(board.SCL, board.SDA)
sensor = adafruit_amg88xx.AMG88XX(i2c_bus)
time.sleep(.1)

while True:
    sensordata = sensor.pixels
    fig = plt.imshow(sensordata, cmap="inferno", interpolation="bicubic")
    plt.colorbar()
    plt.pause(.1)
    plt.savefig("/home/ubuntu/Pictures/amg8833image.png")
    plt.clf()

