
import FaBo9Axis_MPU9250
import time
import sys
import math
mpu9250 = FaBo9Axis_MPU9250.MPU9250()

i=0
magXmin = 100
magXmax = 0
magYmin = 100
magYmax = 0

print("Calibration Start")
while i< 100:
    mag = mpu9250.readMagnet()
    mx = mag['x']
    my = mag['y']
    if magXmax < mx :
       magXmax = mx
    elif magXmin > mx:
       magXmin = mx
    else:
       pass
    if magYmax < my :
       magYmax = my
    elif magYmin > my:
       magYmin = my
    else:
       pass
    time.sleep(0.2)
    i=i+1

print ("Calibration Done")

print("magXmax",magXmax)
print("magXmin",magXmin)
print("magYmax",magYmax)
print("magYmin",magYmin)

adjX  = 200 / (magXmax - magXmin)
adjY  = 200 / (magYmax - magYmin)
offsetX = magXmax - ((magXmax - magXmin)/2)
offsetY = magYmax - ((magYmax - magYmin)/2)


print ("Measurement Start")
while True:
    mag = mpu9250.readMagnet()
    mx = (mag['x'] - offsetX) * adjX
    my = (mag['y'] - offsetY) * adjY
    bearing  = math.atan2(my, mx)
    if (bearing < 0):
        bearing += 2 * math.pi
    deg = math.trunc(math.degrees(bearing))
    print ("deg = ",deg)
    time.sleep(0.2)

